From 95cf6b4e8c09b6d142528b116f927a5e98d0ef77 Mon Sep 17 00:00:00 2001
From: Daanturo <daanturo@gmail.com>
Date: Sun, 13 Nov 2022 11:26:43 +0700
Subject: [PATCH] Disable interprogram-paste-function when noninteractive

* lisp/simple.el: set the default
---
 lisp/simple.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/simple.el b/lisp/simple.el
index 5f676ea50d..63d2337402 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -5416,7 +5416,8 @@ put in the kill ring, to make the new kill available to other
 programs.  The function takes one argument, TEXT, which is a
 string containing the text that should be made available.")
 
-(defvar interprogram-paste-function #'gui-selection-value
+(defvar interprogram-paste-function (and (not noninteractive)
+                                         #'gui-selection-value)
   "Function to call to get text cut from other programs.
 Most window systems provide a facility for cutting and pasting
 text between different programs, such as the clipboard on X and
-- 
2.38.1

